View Issue Details

IDProjectCategoryView StatusLast Update
0038910LazarusDatabase Componentspublic2021-06-06 07:25
ReporterKrzysztof Stępień Assigned ToMichl  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformIntelOSWindows 
Product Version2.0.12 
Fixed in Version2.1 (SVN) 
Summary0038910: ZQuery from Zeoslib doesn't change paramaters after changing SQL query
DescriptionWhen I change SQL query property using Object inspector the visible property Params field is not updated and keeps old number of parameters.
On the attached picture you can see 8 parameters on the list but only 4 listed next to Params field
TagsNo tags attached.
Fixed in Revision65134
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Krzysztof Stępień

2021-05-20 09:04

reporter  

ZQuery.png (23,418 bytes)   
ZQuery.png (23,418 bytes)   

Michl

2021-05-25 20:56

developer   ~0131035

Last edited: 2021-05-26 20:27

View 3 revisions

This is a problem of all collection property editors. See added test project, or:

- add two StringGrids on a new form
- edit Columns of one of them
- switch to other grid
  -> the editor stays open for first grid

or

- add two BufDatasets on a new form
- edit FieldDefs of one of them
- switch to other BufDataset
  -> the editor stays open for first BufDataset

Michl

2021-05-25 21:02

developer   ~0131036

I'm not sure, if simple closing the editor will be the best thing to do here?!

For now, I fixed this issue with a workaround and show the collections of the new selected control (in Trunk revision 65134).

I don't resolve this bug report. So everybody can test the behaviour now and report, if it is OK or if it would be better to close the editor.

Michl

2021-06-06 07:25

developer   ~0131174

No feedback, so I think, it is OK how it is now. Resolving.

Issue History

Date Modified Username Field Change
2021-05-20 09:04 Krzysztof Stępień New Issue
2021-05-20 09:04 Krzysztof Stępień File Added: ZQuery.png
2021-05-23 18:59 Michl Assigned To => Michl
2021-05-23 18:59 Michl Status new => assigned
2021-05-25 20:56 Michl Note Added: 0131035
2021-05-25 20:56 Michl File Added: 38910_CollectionPropertyEditor.zip
2021-05-25 20:56 Michl Note Edited: 0131035 View Revisions
2021-05-25 21:02 Michl Note Added: 0131036
2021-05-25 21:02 Michl Fixed in Version => 2.1 (SVN)
2021-05-25 21:02 Michl Fixed in Revision => 65134
2021-05-25 21:02 Michl LazTarget => -
2021-05-25 21:02 Michl Widgetset Win32/Win64 => Win32/Win64
2021-05-26 20:25 Michl Status assigned => feedback
2021-05-26 20:27 Michl Note Edited: 0131035 View Revisions
2021-06-06 07:25 Michl Status feedback => resolved
2021-06-06 07:25 Michl Resolution open => fixed
2021-06-06 07:25 Michl Widgetset Win32/Win64 => Win32/Win64
2021-06-06 07:25 Michl Note Added: 0131174